{% extends 'base.html.twig' %}

{% block stylesheets %}
<link rel="stylesheet" type="text/css" href="{{asset('css/animate.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('css/style.css')}}">

{% endblock %}

{% block body %}

    
<div id="backgroundp1" class="animated fadeInLeft">
    <img id="imgp1" class="stretch" alt="" />
    <div id="player1content">
    {{contentp1|raw}}
    </div>

</div>
<div id="backgroundp2" class="animated fadeInRight">
    <img id="imgp2" class="stretch" alt="" />
    <div id="player2content">
    {{contentp2|raw}}
    </div>
</div>

<div id="backgroundfull" class="backgroundfull"></div>

    

<div id="contentFire"></div>
<div id="modalp1" class="modal"></div>
<div id="modalp2" class="modal"></div>
<div id="modalall" class="modalall">
    <div id="modalContent" class="animated zoomInUp modalContent">
        VS
    </div>
</div>
<div class="modalDc">
  <div id="contentdc" class="modalContent">
    
  </div>
</div>
<ul>
  <li id="dc"><a href="/disconnect/{{lobbyid}}">Disconnect</a></li>
</ul>
<audio id="myAudio">
  <source src="{{asset('audio/audio4.mp3')}}" type="audio/mpeg">
</audio>

{% endblock %}

{% block javascripts %}

<script type="text/javascript" src="{{asset('js/jquery.min.js')}}"></script>
<script type="text/javascript" src="{{asset('js/responsivevoice.js')}}"></script>

<script type="text/javascript">

var myAudio = document.getElementById("myAudio"); 
myAudio.addEventListener('ended', function() {
    this.currentTime = 0;
    this.play();
}, false);
myAudio.play();


var base = $(window).width();
var p1y ={{ p1Top|json_encode|raw }};
var p1x = {{p1Left|json_encode|raw }};

var p2y = {{p2Top|json_encode|raw }};
var p2x = {{p2Left|json_encode|raw }};

var playertype = "{{playertype}}";
var imgp1 = '{{asset(imgp1)}}';
var imgp2 = '{{asset(imgp2)}}';

    var ignp1 = "{{ignp1|raw}}";
    var ignp2 = "{{ignp2|raw}}";

responsiveVoice.speak(ignp1 + " versus " + ignp2);
    
    var bg1 = ["{{asset('images/bgblueleft.png')}}","{{asset('images/bgblueright.png')}}"];
    var bg2 = ["{{asset('images/bgmetalleft.png')}}","{{asset('images/bgmetalright.png')}}"];
    var bg3 = ["{{asset('images/bgorangeleft.png')}}","{{asset('images/bgorangeright.png')}}"];
    var bg4 = ["{{asset('images/bgredleft.png')}}","{{asset('images/bgredright.png')}}"];
    var userbg = "{{field}}";
    if(userbg == 1){
      $('#imgp1').attr('src',bg1[0]);
      $('#imgp2').attr('src',bg1[1]);
    }
    else if(userbg == 2){
      $('#imgp1').attr('src',bg2[0]);
      $('#imgp2').attr('src',bg2[1]);  
    }
    else if(userbg == 3){
      $('#imgp1').attr('src',bg3[0]);
      $('#imgp2').attr('src',bg3[1]);  
    }
    else if(userbg == 4){
      $('#imgp1').attr('src',bg4[0]);
      $('#imgp2').attr('src',bg4[1]);  
    }


var MatchID = 0;
var check;
var isdone = false;
if(playertype == "p1"){
    playerturn = 1;
     $('#dc').css('float','left');
   
}
else{
    playerturn = 0;
     $('#dc').css('float','right');
   
}

setTimeout(function(){
$('#modalall').addClass('animated zoomOut');    
    setTimeout(function(){ 
           $('#modalall').css('display','none');
           $('#modalall').removeClass('animated zoomOut');    
           if(playertype == "p1"){
          check = setInterval(checkturnp1,2000);
          }
          else{
           check = setInterval(checkturnp2,2000);
                $('#modalall').css('display','block');
                $('#modalContent').html(ignp1 + ' turn');
                $('body').css('cursor','none');

            }

    },1000);
},3000);


$("#backgroundfull").click(function(e) {
    var y = (e.clientY-30);
    var x = (e.clientX-30); 
   
    if(playerturn == 1){

playerturn = 0;
var hits = 0;
var arrayp1 = [];
var arrayp2 = [];
var textp1 = "";
var textp2 = "";

for(var a = 0 ; a < p1y.length ; a++){
    if( (y>=parseInt(p1y[a]) && y<=(parseInt(p1y[a])+60)) && (x>=parseInt(p1x[a]) && x<=(parseInt(p1x[a])+60)) ){
      //  alert('upperleft' + p1y[a] + " " +p1x[a]);
      arrayp1.push(a);
      textp1 += a + " ";
        hits++;
    }
    else if(( (y+60)>=parseInt(p1y[a]) && (y+60)<=(parseInt(p1y[a])+60)) && ( (x+60)>=parseInt(p1x[a]) && (x+60)<=(parseInt(p1x[a])+60))){
       // alert('downright ' + p1y[a] + " " +p2x[a] );
      arrayp1.push(a);
      textp1 += a + " ";
        hits++;
    }
    else if(( y>=parseInt(p1y[a]) && y<=(parseInt(p1y[a])+60)) && ( (x+60)>=parseInt(p1x[a]) && (x+60)<=(parseInt(p1x[a])+60))){
       // alert('upperright' + p1y[a] + " " +p1x[a]);
      arrayp1.push(a);
       textp1 += a + " ";     
        hits++;
    }
    else if(( (y+60)>=parseInt(p1y[a]) && (y+60)<=(parseInt(p1y[a])+60)) && ( x>=parseInt(p1x[a]) && x<=(parseInt(p1x[a])+60))){
        //alert('downleft' + p1y[a] + " " +p1x[a]);
       arrayp1.push(a);
      textp1 += a + " ";
        hits++;
    }
    else{
     //   alert('miss');
    }
}

for(var a = 0 ; a < p2y.length ; a++){
    if( (y>=parseInt(p2y[a]) && y<=(parseInt(p2y[a])+60)) && (x>=parseInt(p2x[a]) && x<=(parseInt(p2x[a])+60)) ){
       // alert('upperleft' + p2y[a] + " " +p2x[a]);
    arrayp2.push(a);
    textp2 += a + " ";
    hits++;
    }
    else if(( (y+60)>=parseInt(p2y[a]) && (y+60)<=(parseInt(p2y[a])+60)) && ( (x+60)>=parseInt(p2x[a]) && (x+60)<=(parseInt(p2x[a])+60))){
        //alert('downright ' + p2y[a] + " " +p2x[a] );
        arrayp2.push(a);
        textp2 += a + " ";
        hits++;
    }
    else if(( y>=parseInt(p2y[a]) && y<=(parseInt(p2y[a])+60)) && ( (x+60)>=parseInt(p2x[a]) && (x+60)<=(parseInt(p2x[a])+60))){
       // alert('upperright' + p2y[a] + " " +p2x[a]);
       arrayp2.push(a);
       textp2 += a + " ";
        hits++;
    }
    else if(( (y+60)>=parseInt(p2y[a]) && (y+60)<=(parseInt(p2y[a])+60)) && ( x>=parseInt(p2x[a]) && x<=(parseInt(p2x[a])+60))){
       // alert('downleft' + p2y[a] + " " +p2x[a]);
       arrayp2.push(a);
       textp2 += a + " ";
        hits++;
    }
    else{
       // alert('miss');
    }
}

          if(playertype == "p1")
          firep1(y,x,arrayp1,arrayp2);
          else
          firep2(y,x,arrayp1,arrayp2);  

//alert(hits);

           $.ajax({
          url: '/insertturndata',
          type: 'POST',
          dataType: 'json',
          data: {
            'LobbyID' : {{lobbyid}},
            'MatchID' : parseInt(MatchID),
            'Top' : parseInt(y) ,
            'Left' : parseInt(x) ,
            'damageTroopsp1' : textp1 ,
            'damageTroopsp2' : textp2
          },
          success: function(data){
            console.log(data);
            playerturn = 0 ;



            var content = "";
    for(var q = 0 ; q < p1y.length ; q++){

        if(playertype == "p1"){
        content += '<div id="divp1'+q+'">'+
            '<img id="troopsp1'+q+'" src="'+imgp1+'" style="position:fixed; top:'+p1y[q]+'px; left:'+p1x[q]+'px;"/></div>';
        }
        else{
        content += '<div id="divp1'+q+'">'+
            '<img id="troopsp1'+q+'" src="'+imgp1+'" style="opacity:0;position:fixed; top:'+p1y[q]+'px; left:'+p1x[q]+'px;"/></div>';        
        }
    }
    $('#player1content').html(content);


    content = "";
    for(var q = 0 ; q < p2y.length ; q++){

        if(playertype == "p1"){
        content += '<div id="divp2'+q+'">'+
            '<img id="troopsp2'+q+'" src="'+imgp2+'" style="opacity:0;position:fixed; top:'+p2y[q]+'px; left:'+p2x[q]+'px;"/></div>';
        }
        else{
        content += '<div id="divp2'+q+'">'+
            '<img id="troopsp2'+q+'" src="'+imgp2+'" style="position:fixed; top:'+p2y[q]+'px; left:'+p2x[q]+'px;"/></div>';        
        }
    }
    $('#player2content').html(content);

            if(playertype == "p1"){
                check = setInterval(checkturnp1,2000);
            }
            else{
                check = setInterval(checkturnp2,2000);
            }

          },
          error: function(xhr,status,error){
            alert(xhr.responseText);
            console.log(xhr.responseText);
          }
        });

}
});

function firep1(y,x,arrayp1,arrayp2){
    var a = 0;
        var interval = setInterval(function(){
        $("#contentFire").html('<div style="position:fixed; top:'+y+'px; left:'+a+'px;"><img id="fire" src="../images/fire.png"/></div>');
        if(x <= a){
            clearInterval(interval);
            console.log(p2y);
            console.log(p2x);

            $('#fire').attr('src','../images/boom.png');
            console.log('dsds '+ arrayp1.length +' '+arrayp2.length);
            for(var i = 0 ; i < arrayp1.length ; i++){
                $('#troopsp1'+arrayp1[i]).css('opacity','1');
                $('#troopsp1'+arrayp1[i]).addClass('animated rotateOut');
                p1y[arrayp1[i]] = '';
                p1x[arrayp1[i]] = '';      
            }
                p1y = p1y.filter(Boolean);
                p1x = p1x.filter(Boolean);

            for(var i = 0 ; i < arrayp2.length ; i++){
                $('#troopsp2'+arrayp2[i]).css('opacity','1');
                $('#troopsp2'+arrayp2[i]).addClass('animated rotateOut');
                console.log(arrayp2[i] + " "+p2x[arrayp2[i]]);
                p2y[arrayp2[i]] = '';
                p2x[arrayp2[i]] = '';
            }
                p2y = p2y.filter(Boolean);
                p2x = p2x.filter(Boolean);   

            console.log(p2y);
            console.log(p2x);

           /* setTimeout(function(){
            for(var i = 0 ; i < arrayp1.length ; i++){
                $('#divp1'+arrayp1[i]).remove();
            }
            for(var i = 0 ; i < arrayp2.length ; i++){
                $('#divp2'+arrayp2[i]).remove();
            }

            },2000);*/


            $('#modalall').css('display','block');
            $('#modalContent').html(ignp2 + ' turn');
            $('body').css('cursor','none');
            

              if(playertype == "p1"){
                if(p2y.length == 0){
                $('#modalall').css('display','block');
                $('#modalContent').html('You Won !');
                $('body').css('cursor','auto');
                console.log('you won');
                                $('#modalContent').html('You Won !<br><button class="backtolobby" onclick="gotolobby()">back to lobby</button>');
                $('body').css('cursor','auto');  
                playerturn = 0;
                clearInterval(check);
                $('#modalall').css('display','block');
                isdone = true;
                responsiveVoice.speak("you won");
                }
                else if(p1y.length == 0){
                console.log('you lose');
                $('#modalall').css('display','block');
                $('#modalContent').html('You Lose !');
                                $('#modalContent').html('You Lose !<br><button class="backtolobby" onclick="gotolobby()">back to lobby</button>');
                $('body').css('cursor','auto');  
                playerturn = 0;
                clearInterval(check);
                $('body').css('cursor','auto');
                $('#modalall').css('display','block');
                isdone = true;
                responsiveVoice.speak("you lose");
                }
            } 
            else{
                if(p2y.length == 0){
                $('#modalall').css('display','block');
                $('#modalContent').html('You Lose !');
                $('body').css('cursor','none');
                                $('#modalContent').html('You Lose !<br><button class="backtolobby" onclick="gotolobby()">back to lobby</button>');
                $('body').css('cursor','auto');  
                playerturn = 0;
                clearInterval(check);
                console.log('you lose');
                $('#modalall').css('display','block');
                isdone = true;
                responsiveVoice.speak("you lose");

                }
                else if(p1y.length == 0){   
                console.log('you won');
                $('#modalall').css('display','block');
                $('#modalContent').html('You Won !<br><button class="backtolobby" onclick="gotolobby()">back to lobby</button>');
                $('body').css('cursor','auto');  
                playerturn = 0;
                clearInterval(check);
                $('#modalall').css('display','block');
                isdone = true;
                responsiveVoice.speak("you won");
                }
            }


                if(isdone){
                     $('#modalall').css('display','block');
                    console.log('done');
                 }
        }
        else
        {
        a+=10;            
        }

    },1);
}
function firep2(y,x,arrayp1,arrayp2){
    var a = base;
        var interval = setInterval(function(){
        $("#contentFire").html('<div style="position:fixed; top:'+y+'px; left:'+a+'px;"><img id="fire" src="../images/fire.png"/></div>');
        if(x >= a){
            console.log(p2y);
            console.log(p2x);

            clearInterval(interval);
            $('#fire').attr('src','../images/boom.png');
            console.log('dsds '+ arrayp1.length +' '+arrayp2.length);
            for(var i = 0 ; i < arrayp1.length ; i++){
                $('#troopsp1'+arrayp1[i]).css('opacity','1');
                $('#troopsp1'+arrayp1[i]).addClass('animated rotateOut');
                p1y[arrayp1[i]] = '';
                p1x[arrayp1[i]] = '';

            }
                p1y = p1y.filter(Boolean);
                p1x = p1x.filter(Boolean);

            for(var i = 0 ; i < arrayp2.length ; i++){
                $('#troopsp2'+arrayp2[i]).css('opacity','1');
                $('#troopsp2'+arrayp2[i]).addClass('animated rotateOut');
                p2y[arrayp2[i]] = '';
                p2x[arrayp2[i]] = '';

            }
             p2y = p2y.filter(Boolean);
             p2x = p2x.filter(Boolean);   
          

            console.log(p2y);
            console.log(p2x);

            $('#modalall').css('display','block');
            $('#modalContent').html(ignp1 + ' turn');
                        $('body').css('cursor','auto');

              if(playertype == "p1"){
                if(p2y.length == 0){
                $('#modalall').css('display','block');
                $('#modalContent').html('You Won !');
                $('body').css('cursor','auto');
                console.log('you won');
                                $('#modalContent').html('You Won !<br><button class="backtolobby" onclick="gotolobby()">back to lobby</button>');
                $('body').css('cursor','auto');  
                playerturn = 0;
                clearInterval(check);
                $('#modalall').css('display','block');
                isdone = true;
                responsiveVoice.speak("you won");    
                }
                else if(p1y.length == 0){
                console.log('you loseb');
                $('#modalall').css('display','block');
                $('#modalContent').html('You Lose !');
                                $('#modalContent').html('You Lose !<br><button class="backtolobby" onclick="gotolobby()">back to lobby</button>');
                $('body').css('cursor','auto');  
                playerturn = 0;
                clearInterval(check);
                $('body').css('cursor','auto');
                $('#modalall').css('display','block');
                isdone = true;
                responsiveVoice.speak("you lose");
                }
            } 
            else{
                if(p2y.length == 0){
                $('#modalall').css('display','block');
                $('#modalContent').html('You Lose !');
                $('body').css('cursor','none');
                                $('#modalContent').html('You Lose !<br><button class="backtolobby" onclick="gotolobby()">back to lobby</button>');
                $('body').css('cursor','auto');  
                playerturn = 0;
                clearInterval(check);
                console.log('you losec');
                $('#modalall').css('display','block');
                isdone = true;
                responsiveVoice.speak("you lose");
                }
                else if(p1y.length == 0){   
                console.log('you won');
                $('#modalall').css('display','block');
                $('#modalContent').html('You Won !<br><button class="backtolobby" onclick="gotolobby()">back to lobby</button>');
                $('body').css('cursor','auto');  
                playerturn = 0;
                clearInterval(check);
                $('#modalall').css('display','block');
                isdone = true;
                responsiveVoice.speak("you won");
                }
            }


            if(isdone){
                $('#modalall').css('display','block');
                console.log('done');
            }
        }
        else
        {
        a-=10;            
        }

    },1);

}



function checkturnp1(){
           $.ajax({
          url: '/checkturn',
          type: 'POST',
          dataType: 'json',
          data: {
            'LobbyID' : "{{lobbyid}}"
          },
          success: function(data){
            if(data.message == "even"){
            $('#modalall').css('display','block');
            $('#modalContent').html('Your turn');
            setTimeout(function(){
                $('#modalall').css('display','none');
                $('body').css('cursor','crosshair');

            },2000);
            clearInterval(check);
                playerturn = 1;
              MatchID = parseInt(data.MatchID) + 1;

            if(MatchID != 1){
            var damagep1 = data.damageTroopsp1;
            var damagep2 = data.damageTroopsp2;

            var splitdamagep1 = damagep1.split(" ");
            var splitdamagep2 = damagep2.split(" ");
            splitdamagep1.pop();
            splitdamagep2.pop();

            firep2(data.Top,data.Left,splitdamagep1,splitdamagep2);

                }
            }

            console.log('p1');
          },
          error: function(xhr,status,error){
          //  alert(xhr.responseText);
          }
        });
}
function checkturnp2(){
           $.ajax({
          url: '/checkturn',
          type: 'POST',
          dataType: 'json',
          data: {
            'LobbyID' : "{{lobbyid}}"
          },
          success: function(data){
            if(data.message == "odd"){
            $('#modalall').css('display','block');
            $('#modalContent').html('Your turn');
            setTimeout(function(){
                $('#modalall').css('display','none');
                $('body').css('cursor','crosshair');
            },2000);
               clearInterval(check);
                playerturn = 1;
            MatchID = parseInt(data.MatchID) + 1;
            var damagep1 = data.damageTroopsp1;
            var damagep2 = data.damageTroopsp2;

            var splitdamagep1 = damagep1.split(" ");
            var splitdamagep2 = damagep2.split(" ");
            splitdamagep1.pop();
            splitdamagep2.pop();

            firep1(data.Top,data.Left,splitdamagep1,splitdamagep2);
            console.log(splitdamagep1);
            console.log(splitdamagep2);
            }

                        console.log('p2y');

          },
          error: function(xhr,status,error){
          //  alert(xhr.responseText);
          }
        });
}


function gotolobby(){
  window.location.replace('/lobby');
}

var checkifdisconnected = setInterval(checkisdc,2000);
function checkisdc(){
    if(isdone){
        $('#modalall').css('display','block');
        console.log('done');
    }
          $.ajax({
          url: '/checkifdisconnected',
          type: 'POST',
          dataType: 'json',
          data: {
            'LobbyID' : "{{lobbyid}}",
            
          },
          success: function(data){
            if(data == true){

              clearInterval(checkifdisconnected);    
                $('.modalDc').css('display','block');
                $('#contentdc').html('Opponent Disconnect!<br><button class="backtolobby" onclick="gotolobby()">back to lobby</button>');
                responsiveVoice.speak("Opponent Disconnect");

            }
          },
          error: function(xhr,status,error){
          //  alert(xhr.responseText);
          }
        });
console.log('checking');
}

disable();
function disable(){
   $(window).on('keydown',function(event)
    {
    if(event.keyCode==123)
    {
        //alert('Entered F12');
        return false;
    }
    else if(event.keyCode == 116){
     return false;
   }
    else if(event.ctrlKey && event.keyCode == 116){
     return false;
   }
    else if(event.keyCode == 122){
        //f11
        return false;
   }
    else if(event.ctrlKey && event.shiftKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
    else if(event.ctrlKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
});
}
$(document).on("contextmenu",function(e)
{
//alert('Right Click Not Allowed');
e.preventDefault();
});
</script>
{% endblock %}
